Package com.orchestranetworks.workflow

# Interface DataContextReadOnly

All Known Subinterfaces:
  `ActionPermissionsOnWorkflowContext`, `ConditionContext`, `DataContext`, `ScriptTaskContext`, `SubWorkflowsCompletionContext`, `SubWorkflowsCreationContext`, `UserTaskBeforeWorkItemCompletionContext`, `UserTaskCreationContext`, `UserTaskUsersForAllocationCollectorContext`, `UserTaskWorkItemCompletionContext`, `WaitTaskOnResumeContext`, `WaitTaskOnStartContext`, `WorkflowTriggerAfterProcessInstanceStartContext`, `WorkflowTriggerAfterWorkItemCreationContext`, `WorkflowTriggerBeforeProcessInstanceTerminationContext`, `WorkflowTriggerBeforeWorkItemAllocationContext`, `WorkflowTriggerBeforeWorkItemDeallocationContext`, `WorkflowTriggerBeforeWorkItemReallocationContext`, `WorkflowTriggerBeforeWorkItemStartContext`, `WorkflowTriggerBeforeWorkItemTerminationContext`, `WorkflowTriggerContext`, `WorkflowTriggerStepContext`, `WorkflowTriggerWorkItemAllocationContext`, `WorkflowTriggerWorkItemAuthenticatedContext`, `WorkflowTriggerWorkItemContext`

public interface DataContextReadOnly
The data context is a container for variables which must be kept during the whole process.

A variable is defined by its name and its value. The name is the identifier of a variable and must therefore be unique in the data context.

This class gives access a data context only in read-only.

Since:
  5.4.3

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Iterator<String>`
  `getVariableNames()`
  Returns the variables names of the data context.
  `String`
  `getVariableString(String aVariableName)`
  Returns the value of the specified variable in the data context.
  `boolean`
  `isVariableDefined(String aVariableName)`
  Returns `true` if the specified variable name is defined in the data context.

- ## Method Details

  - ### getVariableNames

    Iterator<String> getVariableNames()
    Returns the variables names of the data context.

  - ### isVariableDefined

    boolean isVariableDefined(String aVariableName)
    Returns `true` if the specified variable name is defined in the data context. Else returns `false`.

  - ### getVariableString

    String getVariableString(String aVariableName)
    Returns the value of the specified variable in the data context.